## python-aiortc 1.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aiortc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-aiortc 0.9.28

=== debian/changelog ===
python-aiortc (0.9.28-3) unstable; urgency=medium

  * release to unstable

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Apr 2021 18:31:36 +0200

python-aiortc (0.9.28-2) experimental; urgency=medium

  * check testsuite during build;
    add patch 1001
    to skip network tests unless env var EXTENDED_TESTING is set;
    add patch 2001
    to use bogus host apprtc.example.org (not appr.tc)
    as builtin default;
    build-depend on python3-crc32c python3-pytest-timeout
  * use debhelper compatibility level 13 (not 12)
  * enable autopkgtest
  * add TODO on generating documentation
  * declare compliance with Debian Policy 4.5.1
  * install example scripts
  * add patch 2002
    to use no default stun host (i.e. avoid hardcoded Google service)
  * suggest python3-http and python3-websockets,
    and mention their use in long description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2021 15:57:44 +0200

python-aiortc (0.9.28-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 12:09:44 +0200

python-aiortc (0.9.27-1) experimental; urgency=low

  * initial packaging
    closes: bug#921679

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2020 09:53:11 +0200

=== debian/control ===
Source: python-aiortc
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libopus-dev,
 libvpx-dev,
 python3-aioice <!nocheck>,
 python3-all-dev,
 python3-av <!nocheck>,
 python3-cffi,
 python3-crc32c <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-pyee (>= 6.0.0) <!nocheck>,
 python3-pylibsrtp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
Homepage: https://github.com/aiortc/aiortc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-aiortc
Architecture: any
Depends:
 python3-aioice,
 python3-av,
 python3-cffi,
 python3-cryptography,
 python3-pyee,
 python3-pylibsrtp,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-http,
 python3-websockets,
Description: implementation of WebRTC and ORTC
 aiortc is a library for Web Real-Time Communication (WebRTC)
 and Object Real-Time Communication (ORTC) in Python.
 It is built on top of asyncio,
 Python's standard asynchronous I/O framework.
 .
 The API closely follows its JavaScript counterpart
 while using pythonic constructs:
  * promises are replaced by coroutines
  * events are emitted using pyee.EventEmitter
 .
 Some uses of aiortc require additional packages:
  * aiortc.contrib.signaling.ApprtcSignaling()
    requires python3-http and python3-websockets.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = \
 $(patsubst %,--ignore=%,$(BROKEN_TESTFILES)) --timeout=30

%:
	dh $@ --buildsystem=pybuild

## python-aiortc 1.3.0

=== debian/changelog ===
python-aiortc (1.3.0-3) unstable; urgency=medium

  * stop set timeout for testsuite altogether

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Feb 2022 21:35:49 +0100

python-aiortc (1.3.0-2) unstable; urgency=medium

  * relax testsuite timeout,
    to hopefully succeed more reliably on armel and armhf
  * update TODOs
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 14:09:42 +0100

python-aiortc (1.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adapt for upstream removal of apprtc code:
    + stop suggest python3-http python3-websockets
    + stop mention optional apprtc package needs in long description
    + drop patch 2001 to use bogus apprtc host by default
    + update patch 1001; simplify autopkgtest
  * add new patch 2001 to use Python module crc32c
    (not google-crc32c);
    unfuzz patch 2002
  * tighten build-dependency on python3-pyee

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 23:24:09 +0100

python-aiortc (1.2.1-3) unstable; urgency=medium

  * fix depend (not only build-depend) on python3-crc32c

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 21:01:24 +0200

python-aiortc (1.2.1-2) unstable; urgency=medium

  * fix extend patch 1001
    to suppress another test requiring network access

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2021 20:38:56 +0200

python-aiortc (1.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * tighten (build-)dependency on python3-aioice python3-av python3-pyee
  * update and unfuzz patches
  * unconditionally disable apprtc tests with autopkgtest
  * add README.Debian documenting use of bogus apprtc host by default

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 21:19:42 +0200

=== debian/control ===
Source: python-aiortc
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libopus-dev,
 libvpx-dev,
 python3-aioice (>= 0.7.5) <!nocheck>,
 python3-aioice (<< 0.8) <!nocheck>,
 python3-all-dev,
 python3-av (<< 9) <!nocheck>,
 python3-cffi,
 python3-crc32c <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-pyee (>= 9.0.0) <!nocheck>,
 python3-pylibsrtp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
Homepage: https://github.com/aiortc/aiortc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-aiortc
Architecture: any
Depends:
 python3-aioice (>= 0.7.5),
 python3-aioice (<< 0.8),
 python3-av (<< 9),
 python3-cffi,
 python3-crc32c,
 python3-cryptography,
 python3-pyee (>= 6.0.0),
 python3-pylibsrtp,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: implementation of WebRTC and ORTC
 aiortc is a library for Web Real-Time Communication (WebRTC)
 and Object Real-Time Communication (ORTC) in Python.
 It is built on top of asyncio,
 Python's standard asynchronous I/O framework.
 .
 The API closely follows its JavaScript counterpart
 while using pythonic constructs:
  * promises are replaced by coroutines
  * events are emitted using pyee.EventEmitter

=== debian/tests/control ===
Test-Command:
 pytest-3
Restrictions: allow-stderr
Depends:
 python3-aiortc,
 python3-crc32c,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,

Test-Command:
 EXTENDED_TESTING=1 pytest-3
Restrictions: allow-stderr, flaky
Depends:
 python3-aiortc,
 python3-crc32c,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,

## python-aiortc 1.3.2

=== debian/changelog ===
python-aiortc (1.3.2-2) unstable; urgency=medium

  * add patch 1002 to relax dependency on Python module av;
    relax (build-)dependency on python3-av
  * build-depend on pybuild-plugin-pyproject
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Dec 2022 10:51:19 +0100

python-aiortc (1.3.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update patch 2003 to cover privacy breach in sphinx theme
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 09:23:23 +0200

python-aiortc (1.3.1-2) unstable; urgency=medium

  * add patch 2003 to avoid privacy breach in documentation

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Mar 2022 10:00:19 +0100

python-aiortc (1.3.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Mar 2022 09:31:15 +0100

python-aiortc (1.3.0-7) experimental; urgency=medium

  * build upstream documentation:
    + add new binary package python3-aiortc-doc
    + build-depend on dh-sequence-sphinxdoc python3-sphinx
      python3-sphinx-autodoc-typehints python3-sphinxcontrib-asyncio

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2022 16:42:48 +0100

python-aiortc (1.3.0-6) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix G.711 decoding test on big-endian machines

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2022 16:01:08 +0100

python-aiortc (1.3.0-5) unstable; urgency=medium

  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2022 15:34:19 +0100

python-aiortc (1.3.0-4) unstable; urgency=medium

  * add patches cherry-picked upstream:
    + reset h264 picture type to ensure B-frames are produced
    + adapt media player code for PyAV 9.x;
      update tight (build-)dependency on python3-av
  * update copyright info:
    + update coverage
    + use Reference field;
      update lintian overrides
  * drop file README.Debian
    which contained only an obsolete note about apprtc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2022 15:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,28 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  libopus-dev,
  libvpx-dev,
+ python3-aioice (<< 0.8) <!nocheck>,
  python3-aioice (>= 0.7.5) <!nocheck>,
- python3-aioice (<< 0.8) <!nocheck>,
  python3-all-dev,
- python3-av (<< 9) <!nocheck>,
+ python3-av (<< 11) <!nocheck>,
+ python3-av (>= 9) <!nocheck>,
  python3-cffi,
  python3-crc32c <!nocheck>,
  python3-cryptography <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-pyee (>= 9.0.0) <!nocheck>,
  python3-pylibsrtp <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
+ python3-sphinxcontrib-asyncio <!nodoc>,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
 Homepage: https://github.com/aiortc/aiortc
@@ -30,9 +36,10 @@
 Package: python3-aiortc
 Architecture: any
 Depends:
+ python3-aioice (<< 0.8),
  python3-aioice (>= 0.7.5),
- python3-aioice (<< 0.8),
- python3-av (<< 9),
+ python3-av (<< 11),
+ python3-av (>= 9),
  python3-cffi,
  python3-crc32c,
  python3-cryptography,
@@ -51,3 +58,24 @@
  while using pythonic constructs:
   * promises are replaced by coroutines
   * events are emitted using pyee.EventEmitter
+
+Package: python3-aiortc-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Description: implementation of WebRTC and ORTC - documentation
+ aiortc is a library for Web Real-Time Communication (WebRTC)
+ and Object Real-Time Communication (ORTC) in Python.
+ It is built on top of asyncio,
+ Python's standard asynchronous I/O framework.
+ .
+ The API closely follows its JavaScript counterpart
+ while using pythonic constructs:
+  * promises are replaced by coroutines
+  * events are emitted using pyee.EventEmitter
+ .
+ This package provides documentation for the aiortc module.

## python-aiortc 1.4.0

=== debian/changelog ===
python-aiortc (1.4.0-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to update dependency on aioice;
    bump dependency on pyhon3-aioice

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 12:53:51 +0100

python-aiortc (1.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1002, obsoleted by upstream changes
  * declare compliance with Debian Policy 4.6.2
  * (build-)depend on python3-openssl
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 23:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
  dh-sequence-sphinxdoc,
  libopus-dev,
  libvpx-dev,
- python3-aioice (<< 0.8) <!nocheck>,
- python3-aioice (>= 0.7.5) <!nocheck>,
+ python3-aioice (<< 0.9) <!nocheck>,
+ python3-aioice (>= 0.8) <!nocheck>,
  python3-all-dev,
  python3-av (<< 11) <!nocheck>,
  python3-av (>= 9) <!nocheck>,
  python3-cffi,
  python3-crc32c <!nocheck>,
  python3-cryptography <!nocheck>,
+ python3-openssl (>= 23) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-pyee (>= 9.0.0) <!nocheck>,
  python3-pylibsrtp <!nocheck>,
@@ -26,7 +27,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinxcontrib-asyncio <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
 Homepage: https://github.com/aiortc/aiortc
@@ -36,13 +37,14 @@
 Package: python3-aiortc
 Architecture: any
 Depends:
- python3-aioice (<< 0.8),
- python3-aioice (>= 0.7.5),
+ python3-aioice (<< 0.9),
+ python3-aioice (>= 0.8),
  python3-av (<< 11),
  python3-av (>= 9),
  python3-cffi,
  python3-crc32c,
  python3-cryptography,
+ python3-openssl (>= 23),
  python3-pyee (>= 6.0.0),
  python3-pylibsrtp,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

STEM = aiortc
DOCDIR = debian/python3-$(STEM)-doc/usr/share/doc/python3-$(STEM)-doc/html

execute_before_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(DOCDIR)
endif

%:
	dh $@ --buildsystem=pybuild

## python-aiortc 1.6.0

=== debian/changelog ===
python-aiortc (1.6.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:51 +1100

python-aiortc (1.6.0-1build1) noble; urgency=medium

  * No-change rebuild against libvpx9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 17:18:03 +0000

python-aiortc (1.6.0-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    + supports python 3.12;
      closes: bug#1056453, thanks to Matthias Klose

  [ Jonas Smedegaard ]
  * build-depend on python3-sphinxcontrib.trio
    (not python3-sphinxcontrib-asyncio);
    relax build-dependency on python3-av
  * unfuzz patches;
    add debian/patches/README documenting patch naming micro-policy

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jan 2024 11:28:13 +0100

python-aiortc (1.5.0-3) unstable; urgency=medium

  * fix: depend (not autopkgtest-depend) on python3-crc32c;
    closes: bug#1054154, thanks to Benjamin Drung

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 23:36:42 +0200

python-aiortc (1.5.0-2) unstable; urgency=medium

  * resolve build-time dependencies automatically

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Oct 2023 06:36:15 +0200

python-aiortc (1.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1042123, thanks to Lucas Nussbaum and Bo YU

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 12:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: python-aiortc
 Section: python
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libopus-dev,
  libvpx-dev,
- python3-aioice (<< 0.9) <!nocheck>,
- python3-aioice (>= 0.8) <!nocheck>,
+ python3-aioice (<< 1) <!nocheck>,
+ python3-aioice (>= 0.9) <!nocheck>,
  python3-all-dev,
- python3-av (<< 11) <!nocheck>,
+ python3-av (<< 12) <!nocheck>,
  python3-av (>= 9) <!nocheck>,
  python3-cffi,
  python3-crc32c <!nocheck>,
  python3-cryptography <!nocheck>,
- python3-openssl (>= 23) <!nocheck>,
+ python3-openssl (>= 23.1) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-pyee (>= 9.0.0) <!nocheck>,
  python3-pylibsrtp <!nocheck>,
@@ -26,7 +27,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
- python3-sphinxcontrib-asyncio <!nodoc>,
+ python3-sphinxcontrib.trio <!nodoc>,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
@@ -37,16 +38,7 @@
 Package: python3-aiortc
 Architecture: any
 Depends:
- python3-aioice (<< 0.9),
- python3-aioice (>= 0.8),
- python3-av (<< 11),
- python3-av (>= 9),
- python3-cffi,
  python3-crc32c,
- python3-cryptography,
- python3-openssl (>= 23),
- python3-pyee (>= 6.0.0),
- python3-pylibsrtp,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## python-aiortc 1.11.0

=== debian/changelog ===
python-aiortc (1.11.0-1build1) resolute; urgency=medium

  * Rebuild against latest libvpx

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:15:46 -0500

python-aiortc (1.11.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add patch 2004
    to use older releases of libraries cryptography and pyopenssl
  * tighten build-dependencies for python3-av python3-pyee

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 07:55:12 +0200

python-aiortc (1.10.1-2) unstable; urgency=medium

  * add patch cherry-picked upstream to relax h264 encoder test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Mar 2025 17:15:13 +0100

python-aiortc (1.10.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1074634, #1084683,
    thanks to Johnny Accot, Louis-Philippe Véronneau and Adrian Bunk

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * tighten build-dependency
    on python3-cryptography python3-openssl python3-pylibsrtp;
    relax build-dependency on python3-av
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.2
  * extend patch 1001 to cover more network-requiring tests
  * have pytest emit verbose output unless DEB_BUILD_OPTIONS=terse

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Mar 2025 19:36:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-aiortc
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,15 +11,15 @@
  python3-aioice (<< 1) <!nocheck>,
  python3-aioice (>= 0.9) <!nocheck>,
  python3-all-dev,
- python3-av (<< 12) <!nocheck>,
- python3-av (>= 9) <!nocheck>,
+ python3-av (<< 15) <!nocheck>,
+ python3-av (>= 14) <!nocheck>,
  python3-cffi,
  python3-crc32c <!nocheck>,
- python3-cryptography <!nocheck>,
- python3-openssl (>= 23.1) <!nocheck>,
+ python3-cryptography (>= 42) <!nocheck>,
+ python3-openssl (>= 24) <!nocheck>,
  pybuild-plugin-pyproject,
- python3-pyee (>= 9.0.0) <!nocheck>,
- python3-pylibsrtp <!nocheck>,
+ python3-pyee (>= 13.0.0) <!nocheck>,
+ python3-pylibsrtp (>= 0.10) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-timeout <!nocheck>,
@@ -28,7 +27,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinxcontrib.trio <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/python-aiortc.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aiortc
 Homepage: https://github.com/aiortc/aiortc

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 STEM = aiortc
 DOCDIR = debian/python3-$(STEM)-doc/usr/share/doc/python3-$(STEM)-doc/html
+
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export PYBUILD_TEST_ARGS=-vv
+endif
 
 execute_before_dh_sphinxdoc:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command:
 pytest-3
Restrictions: allow-stderr
Depends:
 python3-aiortc,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,

Test-Command:
 EXTENDED_TESTING=1 pytest-3
Restrictions: allow-stderr, flaky
Depends:
 python3-aiortc,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/aiortc/aiortc/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-aiortc 1.14.0

=== debian/changelog ===
python-aiortc (1.14.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * drop watch file: use upstream metadata instead
  * update and unfuzz patches
  * bump build-dependencies
    on python3-aioice python3-av python3-cryptography python3-openssl;
    stop build-depend on python3-cffi

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Dec 2025 19:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
  libopus-dev,
  libvpx-dev,
  python3-aioice (<< 1) <!nocheck>,
- python3-aioice (>= 0.9) <!nocheck>,
+ python3-aioice (>= 0.10) <!nocheck>,
  python3-all-dev,
- python3-av (<< 15) <!nocheck>,
+ python3-av (<< 17) <!nocheck>,
  python3-av (>= 14) <!nocheck>,
- python3-cffi,
  python3-crc32c <!nocheck>,
- python3-cryptography (>= 42) <!nocheck>,
- python3-openssl (>= 24) <!nocheck>,
+ python3-cryptography (>= 44) <!nocheck>,
+ python3-openssl (>= 25) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-pyee (>= 13.0.0) <!nocheck>,
  python3-pylibsrtp (>= 0.10) <!nocheck>,
